import { atob } from "../buffer/btoa.node.js";
export class FileReaderPolyfill {
  constructor() {
    this.onload = void 0;
    this.onabort = void 0;
    this.onerror = void 0;
    this.error = void 0;
    this.onloadstart = void 0;
    this.onloadend = void 0;
    this.onprogress = void 0;
    this.readyState = void 0;
    this.result = void 0;
    this.DONE = void 0;
    this.EMPTY = void 0;
    this.LOADING = void 0;
    this.addEventListener = void 0;
    this.removeEventListener = void 0;
    this.dispatchEvent = void 0;
    this.onload = null;
  }
  abort() {
    return;
  }
  async readAsArrayBuffer(blob) {
    const arrayBuffer = await blob.arrayBuffer();
    if (this.onload) {
      this.onload({
        target: {
          result: arrayBuffer
        }
      });
    }
  }
  async readAsBinaryString(blob) {
    throw Error('Not implemented');
  }
  async readAsDataURL(blob) {
    const text = await blob.text();
    const dataUrl = `data://;base64,${atob(text)}`;
    if (this.onload) {
      this.onload({
        target: {
          result: dataUrl
        }
      });
    }
  }
  async readAsText(blob) {
    const text = await blob.text();
    if (this.onload) {
      this.onload({
        target: {
          result: text
        }
      });
    }
  }
}
//# sourceMappingURL=file-reader.js.map