import { Stat, RandomAccessFileSystem } from '@loaders.gl/loader-utils';
import { NodeFile } from './node-file';
/**
 * FileSystem pass-through for Node.js
 * Compatible with BrowserFileSystem.
 * @param options
 */
export declare class NodeFileSystem implements RandomAccessFileSystem {
    readable: boolean;
    writable: boolean;
    constructor();
    readdir(dirname?: string, options?: {}): Promise<any[]>;
    stat(path: string): Promise<Stat>;
    unlink(path: string): Promise<void>;
    fetch(path: string, options: RequestInit): Promise<Response>;
    openReadableFile(path: string, flags?: 'r'): Promise<NodeFile>;
    openWritableFile(path: string, flags?: 'w' | 'wx', mode?: any): Promise<NodeFile>;
}
//# sourceMappingURL=node-filesystem.d.ts.map